.blog-top {
  padding-left: 2em;
}
.blog-top h3 {
  font-weight: 500;
  color: #656565;
}

.blog-sort {
  text-align: right;
  font-size: 0.9em;
  margin-bottom: 1.5rem;
}
.blog-sort .bs-box {
  display: inline-block;
  vertical-align: middle;
}

.sort-title {
  display: inline-block;
  margin-left: 1em;
}

.sort-select {
  min-width: 7em;
  display: inline-block;
  background: white;
  border: 1px solid #ddd;
  border-radius: 2em;
  position: relative;
}
.sort-select:before {
  content: "";
  width: 0;
  height: 0;
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
  border-top: 6px solid rgba(197, 204, 142, var(--tw-bg-opacity));
  position: absolute;
  right: 0.6em;
  top: 50%;
  margin-top: -3px;
}
.sort-select select {
  border: 0;
  outline: 0;
  border-radius: 2em;
  width: 100%;
  padding: 0.25em 1.5em 0.25em 0.75em;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  background: transparent;
  color: rgba(132, 141, 63, var(--tw-bg-opacity));
}

.bb-date {
  width: 5.5em;
  height: 5.5em;
  border: 1px solid #e5e5e5;
  border-radius: 0.5em;
  text-align: center;
  padding: 0.25em 0;
}
.bb-date > div {
  display: inline-block;
  vertical-align: middle;
  width: 100%;
}
.bb-date:after {
  content: "";
  display: inline-block;
  vertical-align: middle;
  width: 0;
  height: 100%;
}
.bb-date .bbd-day {
  font-size: 1.75em;
  font-weight: 500;
  line-height: 1;
}
.bb-date .bbd-year {
  font-size: 0.8em;
}

.bb-title {
  width: calc(100% - 5.5em);
  padding-left: 1em;
  -ms-flex-item-align: end;
      align-self: flex-end;
}
.bb-title .bbt-time {
  font-size: 0.8em;
  color: #999;
}
.bb-title h2 {
  text-align: left;
  font-size: 1.5rem;
  font-weight: 500;
}
.bb-title h2 a {
  color: #959e51;
}

.blog-box {
  background: white;
  padding: 5em;
  margin-bottom: 3em;
  border-radius: 0.75em;
  -webkit-box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
          box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
}
.blog-box .bb-main {
  margin-top: 1.5em;
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
}
.blog-box .bb-main .bbm-img img {
  width: 300px;
  height: 300px;
  border-radius: 0.8rem;
  -o-object-fit: cover;
     object-fit: cover;
}
.blog-box .bb-main .bbm-content {
  width: calc(100% - 300px);
  padding: 0 0 0 2em;
  font-weight: 400;
  color: #777;
  line-height: 1.8;
  -ms-flex-item-align: center;
      -ms-grid-row-align: center;
      align-self: center;
}
.blog-box .bb-main .bbm-content p {
  margin-bottom: 1.5em;
  color: #777;
}
.blog-box .bb-main .bbm-content .read-more {
  margin-top: 3em;
}
.blog-box .bb-main .bbm-content .read-more a {
  color: rgba(197, 204, 142, var(--tw-bg-opacity));
}

.blog-crumb {
  margin-bottom: 2em;
  padding: 0 1em;
}
.blog-crumb span {
  color: #999;
  display: inline-block;
  vertical-align: middle;
  margin: 0 0.25em;
}
.blog-crumb a {
  color: #999;
  display: inline-block;
  vertical-align: middle;
}
.blog-crumb a.current {
  color: rgba(132, 141, 63, var(--tw-bg-opacity));
}

.blog-article {
  background: white;
  padding: 5em;
  margin-bottom: 3em;
  border-radius: 0.75em;
  -webkit-box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
          box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
}
.blog-article .ba-main {
  width: 100%;
  margin-top: 1.5em;
  color: #777;
  line-height: 1.8;
}
.blog-article .ba-main img {
  max-width: 100%;
  margin: auto;
}
.blog-article .ba-main p, .blog-article .ba-main ul, .blog-article .ba-main ol {
  margin: 1.5em auto;
  color: #777;
}
.blog-article .ba-main ul li {
  list-style-type: disc;
  margin-left: 1.5em;
}
.blog-article .ba-main ol li {
  list-style-type: decimal;
  margin-left: 1.5em;
}
.blog-article .ba-main h1, .blog-article .ba-main h2, .blog-article .ba-main h3, .blog-article .ba-main h4, .blog-article .ba-main h5, .blog-article .ba-main h6 {
  font-weight: 500;
  color: #959e51;
}
.blog-article .ba-main h1 {
  font-size: 1.875em;
}
.blog-article .ba-main h2 {
  font-size: 1.5em;
  text-align: left;
}
.blog-article .ba-main h3 {
  font-size: 1.375em;
}
.blog-article .ba-main h4 {
  font-size: 1.2em;
}
.blog-article .ba-main table {
  margin: 1.5em 0;
  max-width: 100%;
}
.blog-article .ba-main th, .blog-article .ba-main td {
  border: 1px solid #e5e5e5;
  padding: 0.75em;
}
.blog-article .ba-main th {
  font-weight: 600;
}
.blog-article .ba-main a {
  color: #959e51;
  border-bottom: 1px solid currentColor;
}
.blog-article .ba-main a:hover {
  opacity: 0.8;
}
.blog-article .ba-info {
  width: 100%;
  margin-top: 1.5em;
  font-size: 0.9em;
}
.blog-article .ba-info span {
  display: inline-block;
  vertical-align: middle;
  color: #999;
  margin-right: 0.5em;
}
.blog-article .ba-info a {
  display: inline-block;
  vertical-align: middle;
  color: #fff;
  background: rgba(197, 204, 142, var(--tw-bg-opacity));
  padding: 0.25em 0.75em 0.2em;
  border-radius: 0.6em;
  margin-right: 0.5em;
}
.blog-article .ba-info a:hover {
  opacity: 0.8;
}
.blog-article .ba-info .bai-inner {
  margin-top: 0.75em;
}

.pagination {
  font-size: 0.9em;
}
.pagination ul {
  gap: 0.5rem;
}

.page-link {
  height: 2rem;
  width: 2rem;
}

.page-back, .page-prev, .page-next {
  -webkit-transition: all 0.1s;
  transition: all 0.1s;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  height: 2rem;
  width: 2rem;
  cursor: pointer;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  border-radius: 9999px;
  --tw-bg-opacity:1;
  background-color: rgba(255, 255, 255, var(--tw-bg-opacity));
}

.page-back:hover, .page-prev:hover, .page-next:hover {
  --tw-bg-opacity:1;
  background-color: rgba(219, 223, 185, var(--tw-bg-opacity));
}

.page-back, .page-prev, .page-next {
  --tw-bg-opacity:0.5 ;
}

.page-back.active, .page-prev.active, .page-next.active {
  --tw-bg-opacity:1;
  background-color: rgba(197, 204, 142, var(--tw-bg-opacity));
  --tw-text-opacity:1;
  color: rgba(255, 255, 255, var(--tw-text-opacity));
}

.page-back, .page-prev, .page-next {
  background: transparent !important;
}

.page-back:hover, .page-prev:hover, .page-next:hover {
  border: 1px solid #bec67f;
}

@media screen and (max-width: 576px) {
  .blog-top {
    padding-left: 0;
    text-align: center;
    margin-bottom: 1.5rem;
  }
  .blog-sort {
    text-align: left;
  }
  .blog-sort .bs-box {
    display: block;
    margin-bottom: 0.5em;
  }
  .blog-box .bb-title h2 {
    font-size: 1.25em;
  }
  .blog-box .bb-main .bbm-img {
    margin-bottom: 1.5em;
  }
  .blog-box .bb-main .bbm-img img {
    width: 100%;
  }
  .blog-box .bb-main .bbm-content {
    width: 100%;
    padding-left: 0;
  }
}
